/*
* This file is part of Firestorm NIDS
* Copyright (c) 2001 Gianni Tedesco
*
*    Firestorm is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    Firestorm is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with Firestorm; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef __PKT_GRE_HEADER_INCLUDED__
#define __PKT_GRE_HEADER_INCLUDED__

/*
* 2 csum, res, ver
* proto
* csum
* reserved
*/

typedef struct fs_grehdr{
	u_int16_t	c_res_ver;
	u_int16_t	proto;
	u_int16_t	csum;
	u_int16_t	reserved;
}fs_grehdr_t, *p_gre;

#endif /* __PKT_GRE_HEADER_INCLUDED__ */
